package com.kcim.service;

import com.kcim.dao.model.EmpCostMap;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletResponse;
import java.util.List;

/**
 * @program: CostAccount
 * @description: 人事分类人员对照接口
 * @author: Wang.YS
 * @create: 2023-11-02 18:23
 **/
public interface EmpCostMapService {

    Object getEmpCostMap(Integer current, Integer pageSize, String costTypeCode, String filter);

    void addEmpCostMap(List<EmpCostMap> request);

    void updateEmpMap();

    void deleteEmpCostMap(Integer id);

    void batchDeleteEmpCostMap(List<Integer> id);

    Object getEmpInfo(String costType);

    Object exportEmpType(HttpServletResponse response);

    void importEmpType(MultipartFile file);

    void generateEmpType();
}
